package org.xbib.interlibrary.action.order;

public class DefaultOrderRequester implements OrderRequester {

    private final String isil;

    public DefaultOrderRequester(String isil) {
        this.isil = isil;
    }

    @Override
    public String getISIL() {
        return isil;
    }

    @Override
    public String getUserGroup() {
        return null;
    }

    @Override
    public int hashCode() {
        return isil.hashCode();
    }

    @Override
    public boolean equals(Object object) {
        return object instanceof DefaultOrderRequester && hashCode() == object.hashCode();
    }

    @Override
    public String toString() {
        return "[" + isil + "]";
    }
}
